
QGIS Application - Bug report #4304

Show only writable raster and vector formats in Processing "save file" dialogs

2011-09-23 12:46 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 14241

Description

Currently "save file" dialogs in Processing show all supported file formats which causes to attempts to write into non-writable format. We

should filter the list of formats to write to.

Related issues:

Related to QGIS Application - Bug report # 15757: GDALTools: file extension n... Closed 2016-10-26

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2012-12-30 10:07 AM - Giovanni Manghi

- Assignee set to Giuseppe Sucameli

#5 - 2012-12-31 01:24 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#6 - 2013-07-12 03:41 PM - Jürgen Fischer

- Assignee deleted (anonymous -)

#7 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2015-12-05 03:06 AM - Médéric RIBREUX

Hello, bug triage...

I think this is difficult to fix because we don't have an easy to use method or function in Python that can extract a list of GDAL drivers that can write to a file.

Perhaps should we add a writableFileRasterFilters() to the QgsProviderRegistry class. Once done, it should be trivial to modify GDAL tools.

#9 - 2017-01-02 05:55 AM - Giovanni Manghi
- Category changed from GDAL Tools to Processing/GDAL

#10 - 2017-02-07 01:25 AM - Alexander Bruy

- Target version changed from Future Release - Lower Priority to Future Release - High Priority

- Subject changed from GDAL Tools tries to write to a non-writable format to Show only writable raster and vector formats in Processing "save file" 

dialogs

- Category changed from Processing/GDAL to Processing/Core

#11 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#12 - 2018-01-27 08:28 AM - Alexander Bruy

- Status changed from Open to Feedback

Should be fixed in master.

#13 - 2018-01-27 11:58 AM - Paolo Cavallini

Unsure about this: in GRD files, which should be non-writable, are listed in the dropdown menu (BTW: listed twice, this is a separate issue)

#14 - 2018-02-22 01:23 PM - Giovanni Manghi

- Status changed from Feedback to Open

Paolo Cavallini wrote:

Unsure about this: in GRD files, which should be non-writable, are listed in the dropdown menu (BTW: listed twice, this is a separate issue)

when trying to save to GRD format the message (from GDAL) says:

"Golden Software ASCII Grid format", which is writable BUT does not have the GRD extension: http://www.gdal.org/formats_list.html

#15 - 2018-02-22 01:23 PM - Giovanni Manghi

- Status changed from Open to Feedback

#16 - 2019-02-23 08:36 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
